Bug 70545 - DHCP network fails to come up with TG3 driver
DHCP network fails to come up with TG3 driver
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: initscripts (Show other bugs)
8.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-08-02 09:05 EDT by Jeff Wiedemeier
Modified: 2014-03-16 22:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-19 15:57:08 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
lspci -vv of tigon3 device (1.03 KB, text/plain)
2002-08-02 09:06 EDT, Jeff Wiedemeier
no flags Details

  None (edit)
Description Jeff Wiedemeier 2002-08-02 09:05:23 EDT
Description of Problem

DHCP network fails to come up with TG3 driver (bcm 5703X) connected to network
through  a 3com gigabit switch (connection to system is 1000Mbps, full duplex)
When configured for DHCP, attempting to bring up the network (either on boot or
with ifup) fails with "...no link present? Check Cable?" Disabling the following
lines in ifup:
	ip link set ${DEVICE} down
	exit 1
below the error print results in the network coming up correctly at 1000Mbps,
full duplex with a DHCP suplied address.

This does not happen when configured for a static IP address.

Version-Release number of selected component (if applicable):

2.4.18-7.80

How Reproducible:

always when connected to the gigabit switch. I have not been able to repro when
connected through a 100Mbps switch.

Steps to Reproduce:
1. configure tigon 3 network for dhcp
2. ifup <tigon 3 device>
3. see error
4. ifdown <tigon 3 device>
5. comment out 2 lines of ifup
6. ifup <tigon 3 device>
7. see success

Actual Results:

network doesn't come up correctly when connected to gigabit switch

Expected Results:

network to come up without error connected to either switch

Additional Information:
	
lspci -vv of device will be attached
Comment 1 Jeff Wiedemeier 2002-08-02 09:06:34 EDT
Created attachment 68445 [details]
lspci -vv of tigon3 device
Comment 2 Michael K. Johnson 2002-08-14 18:20:53 EDT
Please change the sleep in check_link_down in network-functions from
2 seconds to 5 seconds; MII negotiation can take up to 5 seconds and
in this case it is taking longer than two.
Comment 3 Bill Nottingham 2002-08-14 18:52:42 EDT
Changed in 6.90-1.

Note You need to log in before you can comment on or make changes to this bug.